Bug 198189 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Cagney
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 09:19 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 13:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 09:19:15 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


frysk-0.0.1.2006.06.28.rh1-0
undefined symbol: g_value_set_enum      (/usr/lib/libEggTrayIcon.so)
undefined symbol: XSync (/usr/lib/libEggTrayIcon.so)
undefined symbol: gtk_widget_get_screen (/usr/lib/libEggTrayIcon.so)
undefined symbol: gdk_screen_get_root_window    (/usr/lib/libEggTrayIcon.so)
undefined symbol: gdk_x11_get_server_time       (/usr/lib/libEggTrayIcon.so)
undefined symbol: g_object_new  (/usr/lib/libEggTrayIcon.so)
undefined symbol: g_snprintf    (/usr/lib/libEggTrayIcon.so)
undefined symbol: gdk_screen_get_type   (/usr/lib/libEggTrayIcon.so)
undefined symbol: g_type_name   (/usr/lib/libEggTrayIcon.so)
undefined symbol: gtk_plug_get_id       (/usr/lib/libEggTrayIcon.so)
...
...
Comment 1 Andrew Cagney 2006-11-30 13:28:34 EST
It is definitly finding egg-tray-icon.

Note You need to log in before you can comment on or make changes to this bug.